Bug 714191 - Glyph '1' not the same width as other numerals
Glyph '1' not the same width as other numerals
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-17 11:03 EDT by Henrik Pauli
Modified: 2012-03-06 15:29 EST (History)
5 users (show)

See Also:
Fixed In Version: liberation-fonts-1.07.2-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 15:29:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Combined screen shot of the erroneous rendering in certain apps (36.55 KB, image/png)
2011-09-19 09:39 EDT, Henrik Pauli
no flags Details

  None (edit)
Description Henrik Pauli 2011-06-17 11:03:38 EDT
The number 1 in Sans (not mono) seems slightly narrower than the other numerals, which makes it inconsistent with Arial, for example.  And doesn't look nice either.
Comment 1 Pravin Satpute 2011-09-19 05:36:38 EDT
Hi Henrik,

  I did comparison of number 1 with 4 and both character has same width.

  Let me know steps to reproduce (or compare it with which character) so i can better understand and make necessary corrections.
Comment 2 Henrik Pauli 2011-09-19 09:38:47 EDT
This is peculiar.  It doesn't show in Google Chrome, but it does show in Firefox and Konqueror, although all of them seem to use Slight hinting.

I'll attach a screen shot, maybe that helps.
Comment 3 Henrik Pauli 2011-09-19 09:39:46 EDT
Created attachment 523841 [details]
Combined screen shot of the erroneous rendering in certain apps
Comment 4 Pravin Satpute 2012-02-13 11:47:02 EST
Understood the problem. kerning defined for 1-1 pair, it reducing its width.

Hi Caius,

  Do you remember any particular usecase for this kerning pair? if not i think we should remove it to make font consistent with Arial as mentioned in this bug.
  Same problem with Liberation Serif and Narrow as well.
Comment 5 Fedora Update System 2012-02-18 10:50:25 EST
liberation-fonts-1.07.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/liberation-fonts-1.07.2-3.fc17
Comment 6 Fedora Update System 2012-02-18 13:48:16 EST
Package liberation-fonts-1.07.2-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liberation-fonts-1.07.2-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1959/liberation-fonts-1.07.2-3.fc17
then log in and leave karma (feedback).
Comment 7 Pravin Satpute 2012-02-19 12:17:17 EST
Only fixed in Sans.
Comment 8 Fedora Update System 2012-03-06 15:29:24 EST
liberation-fonts-1.07.2-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.